import * as ambassadorWixHeadlessV1OAuthAppTypes from './headless-v1-o-auth-app-o-auth-apps.types.js';
import * as ambassadorWixHeadlessV1OAuthAppUniversalTypes from './headless-v1-o-auth-app-o-auth-apps.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createOAuthApp(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixHeadlessV1OAuthAppUniversalTypes.CreateOAuthAppRequest, ambassadorWixHeadlessV1OAuthAppTypes.CreateOAuthAppRequest, ambassadorWixHeadlessV1OAuthAppUniversalTypes.CreateOAuthAppResponse, ambassadorWixHeadlessV1OAuthAppTypes.CreateOAuthAppResponse>;
export declare function getOAuthApp(): __PublicMethodMetaInfo<'GET', {
    oAuthAppId: string;
}, ambassadorWixHeadlessV1OAuthAppUniversalTypes.GetOAuthAppRequest, ambassadorWixHeadlessV1OAuthAppTypes.GetOAuthAppRequest, ambassadorWixHeadlessV1OAuthAppUniversalTypes.GetOAuthAppResponse, ambassadorWixHeadlessV1OAuthAppTypes.GetOAuthAppResponse>;
export declare function updateOAuthApp(): __PublicMethodMetaInfo<'PATCH', {
    oAuthAppId: string;
}, ambassadorWixHeadlessV1OAuthAppUniversalTypes.UpdateOAuthAppRequest, ambassadorWixHeadlessV1OAuthAppTypes.UpdateOAuthAppRequest, ambassadorWixHeadlessV1OAuthAppUniversalTypes.UpdateOAuthAppResponse, ambassadorWixHeadlessV1OAuthAppTypes.UpdateOAuthAppResponse>;
export declare function deleteOAuthApp(): __PublicMethodMetaInfo<'DELETE', {
    oAuthAppId: string;
}, ambassadorWixHeadlessV1OAuthAppUniversalTypes.DeleteOAuthAppRequest, ambassadorWixHeadlessV1OAuthAppTypes.DeleteOAuthAppRequest, ambassadorWixHeadlessV1OAuthAppUniversalTypes.DeleteOAuthAppResponse, ambassadorWixHeadlessV1OAuthAppTypes.DeleteOAuthAppResponse>;
export declare function queryOAuthApps(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixHeadlessV1OAuthAppUniversalTypes.QueryOAuthAppsRequest, ambassadorWixHeadlessV1OAuthAppTypes.QueryOAuthAppsRequest, ambassadorWixHeadlessV1OAuthAppUniversalTypes.QueryOAuthAppsResponse, ambassadorWixHeadlessV1OAuthAppTypes.QueryOAuthAppsResponse>;
export declare function generateOAuthAppSecret(): __PublicMethodMetaInfo<'POST', {
    oAuthAppId: string;
}, ambassadorWixHeadlessV1OAuthAppUniversalTypes.GenerateOAuthAppSecretRequest, ambassadorWixHeadlessV1OAuthAppTypes.GenerateOAuthAppSecretRequest, ambassadorWixHeadlessV1OAuthAppUniversalTypes.GenerateOAuthAppSecretResponse, ambassadorWixHeadlessV1OAuthAppTypes.GenerateOAuthAppSecretResponse>;
