"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.DeleteStatus = exports.Namespace = exports.SiteCreatedContext = exports.State = exports.SortOrder = exports.OAuthTechnologies = exports.OAuthAppType = exports.onOAuthAppUpdated = exports.onOAuthAppDeleted = exports.onOAuthAppCreated = exports.generateOAuthAppSecret = exports.queryOAuthApps = exports.deleteOAuthApp = exports.updateOAuthApp = exports.getOAuthApp = exports.createOAuthApp = void 0;
const headless_v1_o_auth_app_o_auth_apps_public_js_1 = require("./headless-v1-o-auth-app-o-auth-apps.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const headless_v1_o_auth_app_o_auth_apps_public_js_2 = require("./headless-v1-o-auth-app-o-auth-apps.public.js");
const headless_v1_o_auth_app_o_auth_apps_public_js_3 = require("./headless-v1-o-auth-app-o-auth-apps.public.js");
const headless_v1_o_auth_app_o_auth_apps_public_js_4 = require("./headless-v1-o-auth-app-o-auth-apps.public.js");
exports.createOAuthApp = (0, rest_modules_1.createRESTModule)(headless_v1_o_auth_app_o_auth_apps_public_js_1.createOAuthApp);
exports.getOAuthApp = (0, rest_modules_1.createRESTModule)(headless_v1_o_auth_app_o_auth_apps_public_js_1.getOAuthApp);
exports.updateOAuthApp = (0, rest_modules_1.createRESTModule)(headless_v1_o_auth_app_o_auth_apps_public_js_1.updateOAuthApp);
/** @internal */
exports.deleteOAuthApp = (0, rest_modules_1.createRESTModule)(headless_v1_o_auth_app_o_auth_apps_public_js_1.deleteOAuthApp);
exports.queryOAuthApps = (0, rest_modules_1.createRESTModule)(headless_v1_o_auth_app_o_auth_apps_public_js_1.queryOAuthApps);
/** @internal */
exports.generateOAuthAppSecret = (0, rest_modules_1.createRESTModule)(headless_v1_o_auth_app_o_auth_apps_public_js_1.generateOAuthAppSecret);
/**
 * Triggered when an OAuth app is created.
 */
exports.onOAuthAppCreated = (0, event_definition_modules_1.createEventModule)(headless_v1_o_auth_app_o_auth_apps_public_js_2.onOAuthAppCreated);
/**
 * Triggered when an OAuth app is deleted.
 */
exports.onOAuthAppDeleted = (0, event_definition_modules_1.createEventModule)(headless_v1_o_auth_app_o_auth_apps_public_js_3.onOAuthAppDeleted);
/**
 * Triggered when an OAuth app is updated.
 */
exports.onOAuthAppUpdated = (0, event_definition_modules_1.createEventModule)(headless_v1_o_auth_app_o_auth_apps_public_js_4.onOAuthAppUpdated);
var headless_v1_o_auth_app_o_auth_apps_universal_js_1 = require("./headless-v1-o-auth-app-o-auth-apps.universal.js");
Object.defineProperty(exports, "OAuthAppType", { enumerable: true, get: function () { return headless_v1_o_auth_app_o_auth_apps_universal_js_1.OAuthAppType; } });
Object.defineProperty(exports, "OAuthTechnologies", { enumerable: true, get: function () { return headless_v1_o_auth_app_o_auth_apps_universal_js_1.OAuthTechnologies; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return headless_v1_o_auth_app_o_auth_apps_universal_js_1.SortOrder; } });
Object.defineProperty(exports, "State", { enumerable: true, get: function () { return headless_v1_o_auth_app_o_auth_apps_universal_js_1.State; } });
Object.defineProperty(exports, "SiteCreatedContext", { enumerable: true, get: function () { return headless_v1_o_auth_app_o_auth_apps_universal_js_1.SiteCreatedContext; } });
Object.defineProperty(exports, "Namespace", { enumerable: true, get: function () { return headless_v1_o_auth_app_o_auth_apps_universal_js_1.Namespace; } });
Object.defineProperty(exports, "DeleteStatus", { enumerable: true, get: function () { return headless_v1_o_auth_app_o_auth_apps_universal_js_1.DeleteStatus; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return headless_v1_o_auth_app_o_auth_apps_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=headless-v1-o-auth-app-o-auth-apps.context.js.map