"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateOAuthAppSecret = exports.queryOAuthApps = exports.deleteOAuthApp = exports.updateOAuthApp = exports.getOAuthApp = exports.createOAuthApp = void 0;
const ambassadorWixHeadlessV1OAuthApp = __importStar(require("./headless-v1-o-auth-app-o-auth-apps.http.js"));
function createOAuthApp() {
    const payload = {};
    const getRequestOptions = ambassadorWixHeadlessV1OAuthApp.createOAuthApp(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/oauth-apps',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createOAuthApp = createOAuthApp;
function getOAuthApp() {
    const payload = { oAuthAppId: ':oAuthAppId' };
    const getRequestOptions = ambassadorWixHeadlessV1OAuthApp.getOAuthApp(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/oauth-apps/{oAuthAppId}',
        pathParams: { oAuthAppId: 'oAuthAppId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getOAuthApp = getOAuthApp;
function updateOAuthApp() {
    const payload = { oAuthApp: { id: ':oAuthAppId' } };
    const getRequestOptions = ambassadorWixHeadlessV1OAuthApp.updateOAuthApp(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/oauth-apps/{oAuthApp.id}',
        pathParams: { oAuthAppId: 'oAuthAppId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateOAuthApp = updateOAuthApp;
function deleteOAuthApp() {
    const payload = { oAuthAppId: ':oAuthAppId' };
    const getRequestOptions = ambassadorWixHeadlessV1OAuthApp.deleteOAuthApp(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/oauth-apps/{oAuthAppId}',
        pathParams: { oAuthAppId: 'oAuthAppId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteOAuthApp = deleteOAuthApp;
function queryOAuthApps() {
    const payload = {};
    const getRequestOptions = ambassadorWixHeadlessV1OAuthApp.queryOAuthApps(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/oauth-apps/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryOAuthApps = queryOAuthApps;
function generateOAuthAppSecret() {
    const payload = { oAuthAppId: ':oAuthAppId' };
    const getRequestOptions = ambassadorWixHeadlessV1OAuthApp.generateOAuthAppSecret(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/oauth-apps/{oAuthAppId}/generate-secret',
        pathParams: { oAuthAppId: 'oAuthAppId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.generateOAuthAppSecret = generateOAuthAppSecret;
//# sourceMappingURL=headless-v1-o-auth-app-o-auth-apps.meta.js.map