import { createOAuthApp as publicCreateOAuthApp, getOAuthApp as publicGetOAuthApp, updateOAuthApp as publicUpdateOAuthApp, deleteOAuthApp as publicDeleteOAuthApp, queryOAuthApps as publicQueryOAuthApps, generateOAuthAppSecret as publicGenerateOAuthAppSecret, } from './headless-v1-o-auth-app-o-auth-apps.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onOAuthAppCreated as publicOnOAuthAppCreated } from './headless-v1-o-auth-app-o-auth-apps.public.js';
import { onOAuthAppDeleted as publicOnOAuthAppDeleted } from './headless-v1-o-auth-app-o-auth-apps.public.js';
import { onOAuthAppUpdated as publicOnOAuthAppUpdated } from './headless-v1-o-auth-app-o-auth-apps.public.js';
export const createOAuthApp = /*#__PURE__*/ createRESTModule(publicCreateOAuthApp);
export const getOAuthApp = /*#__PURE__*/ createRESTModule(publicGetOAuthApp);
export const updateOAuthApp = /*#__PURE__*/ createRESTModule(publicUpdateOAuthApp);
/** @internal */
export const deleteOAuthApp = /*#__PURE__*/ createRESTModule(publicDeleteOAuthApp);
export const queryOAuthApps = /*#__PURE__*/ createRESTModule(publicQueryOAuthApps);
/** @internal */
export const generateOAuthAppSecret = /*#__PURE__*/ createRESTModule(publicGenerateOAuthAppSecret);
/**
 * Triggered when an OAuth app is created.
 */
export const onOAuthAppCreated = createEventModule(publicOnOAuthAppCreated);
/**
 * Triggered when an OAuth app is deleted.
 */
export const onOAuthAppDeleted = createEventModule(publicOnOAuthAppDeleted);
/**
 * Triggered when an OAuth app is updated.
 */
export const onOAuthAppUpdated = createEventModule(publicOnOAuthAppUpdated);
export { OAuthAppType, OAuthTechnologies, SortOrder, State, SiteCreatedContext, Namespace, DeleteStatus, WebhookIdentityType, } from './headless-v1-o-auth-app-o-auth-apps.universal.js';
//# sourceMappingURL=headless-v1-o-auth-app-o-auth-apps.context.js.map